
This privacy policy will explain how our service uses the personal data we collect from you when you use our website.

## What data do we collect?

Readflow collects the following data:

- Personal identification information (email address, first name and last name) used to grant access to the service.
- Technical information (IP, Browser and Operating System) used for usage analytics and error tracking.

[Stripe](https://stripe.com), the payment provider, also collect billing information (email, first name, last name, billing address) as part of your subscription.

## How do we collect your data?

You directly provide Readflow with identification information when you register online.
You directly provide Stripe with billing information when you subscribe to the service.

Technical information are collected by using the following trackers:

- [ZerØ Analytics](https://github.com/ncarlier/za) for usage metrics
- [Sentry](https://sentry.io) for error tracking

## How will we use your data?

Readflow collects your data so that we can:

- Manage your account
- Process your subscription

## How do we store your data?

Readflow will keep your identification information as long as you are using the service.
Once you remove your account, we will delete your data.

Billing information are kept 10 years for legal reasons.

## What are your data protection rights?

The service is under the General Data Protection Regulation (RGPD).
In this regard, the user has the right to oppose, access and rectify data concerning him/her.
The user can apply this right directly through the interface of the service or, if this is not possible, by making a request to the [support](/contact).
In case of non-respect of these rights, the user can file a complaint with the [CNIL](https://www.cnil.fr/professionnel).

## Cookies

Cookies are text files placed on your computer to collect standard Internet log information and visitor behavior information.
When you visit our websites, we may collect information from you automatically through cookies or similar technology.

For further information, visit [allaboutcookies.org](https://allaboutcookies.org).

### How do we use cookies?

readflow uses cookies in a range of ways to improve your experience on our website, including:

- Keeping you signed in
- Understanding how you use our website

### What types of cookies do we use?

There are a number of different types of cookies, however, our website uses:

- KEYCLOAK_IDENTITY, KEYCLOAK_SESSION, AUTH_SESSION – These cookies are used by our login service in order to keep the user signed in.

### How to manage cookies

You can set your browser not to accept cookies. However, if you do so you will unbale to sign in.

## Privacy policies of other websites

Readflow contains links to other websites. Our privacy policy applies only to our website, so if you click on a link to another website, you should read their privacy policy.

## Changes to our privacy policy

Readflow keeps its privacy policy under regular review and places any updates on this web page.
This privacy policy was last updated on 14 april 2021.

## How to contact us

If you have any questions about Readflow’s privacy policy, the data we hold on you, or you would like to exercise one of your data protection rights, please do not hesitate to [contact us](/contact).
