## 1. Purpose 

The purpose of these terms and conditions is to define the terms and conditions of use of the services offered on the Readflow website (hereinafter referred to as the "Services"), as well as to define the rights and obligations of the parties in this context.

They are accessible and printable at any time.

They may be completed, if necessary, by specific terms of use for certain Services.
In the event of contradiction, the specific conditions shall prevail over these general conditions.

## 2. Service Operator 

The Services are operated by Nunux (hereinafter: \"Publisher\").
The Publisher can be contacted [here](/en/contact).

## 3. Access to the website and Services 

The Services are accessible, subject to the restrictions provided on the website:

- to any natural person with full legal capacity to enter into commitments under these terms and conditions.
A natural person who does not have full legal capacity may only access the website and the Services with the consent of his or her legal representative;
- any legal entity acting through a natural person who has the legal capacity to contract in the name and on behalf of the legal entity.

## 4. Acceptance of the general conditions 

The acceptance of the present general conditions is materialized by a checkbox in the registration form.
This acceptance can only be full and complete.
Any conditional acceptance is considered null and void.
The User who does not agree to be bound by these terms and conditions must not use the Services.

## 5. Registration on the site 

The use of the Services requires the User to register on the website, by filling in the form provided for this purpose.
The User must provide all the information marked as mandatory.
Any incomplete registration will not be validated.

Registration automatically opens an account in the User\'s name (hereinafter: the \"Account\"), giving the User access to a personal area (hereinafter: the \"Personal Area\") that allows the User to manage his or her use of the Services in a form and using the technical means that the Publisher deems most appropriate to render said Services.

The User warrants that all information provided in the registration form is accurate, up-to-date and truthful and is not misleading.

He/she agrees to update this information in his/her Personal Space in case of modifications, so that it always corresponds to the above-mentioned criteria.

The User is informed and accepts that the information entered for the purpose of creating or updating his Account is proof of his identity.
The information entered by the User is binding upon validation.

The User can access his Personal Space at any time after having identified himself with his login and password.

The User undertakes to use the Services personally and not to allow any third party to use them in his place or on his behalf, unless he bears full responsibility.

You are likewise responsible for maintaining the confidentiality of your user ID and password.
You should immediately contact the Publisher at the contact details set out in Section 2 hereof if you become aware that your Account has been used without your knowledge.
The User acknowledges that the Publisher has the right to take all appropriate measures in such cases.

## 6. Description of the Services 

- The User shall have access to the Services described on the website in a form and with the functionality and technical means that the Publisher deems most appropriate.

- The use of the Services for fraudulent purposes is the sole responsibility of the user.

- The User is fully responsible for the use of the Services.

## 7. Paid services

### 7.1. Prices 

The price of the Services is indicated on the website.
Unless otherwise stated, they are expressed in Euros and include all taxes.
The Publisher reserves the right, at its own discretion and on terms to be determined by it, to offer promotional offers or price reductions.

### 7.2. Price revision 

The price of the Services may be revised by the Publisher at any time, at its sole discretion.
The User will be notified of such changes by the Publisher by email at least 60 days prior to the effective date of the new prices.
If the User does not accept the new prices, the User must terminate its use of the Services in accordance with Section 18.
Otherwise, the User will be deemed to have accepted the new prices.

### 7.3. Billing 

The Services are subject to invoices which are communicated to the User by any useful means.

### 7.4. Terms of payment 

The terms of payment of the price of the Services are described on the website.
Payment is made by direct debit using the User\'s credit card number.
The direct debit is carried out by the payment provider designated on the website, which alone retains the User\'s bank details for this purpose.
The Publisher does not retain any bank details.
The User warrants to the Publisher that he/she has the necessary authorizations to use the chosen method of payment.
The User undertakes to take the necessary steps to ensure that the price of the Services can be debited automatically.

### 7.5. Late payments and payment incidents 

The User is informed and expressly accepts that any delay in payment of all or part of an amount due on its due date will automatically, without prejudice to the provisions of Article 12 and without prior notice :

1. The forfeiture of all sums due by the User and their immediate payment;
1. The immediate suspension of the Services in progress until full payment of all amounts due by the User;
1. Invoicing to the benefit of the Publisher of late payment interest at the rate of one point five percent, the legal interest rate, based on the amount of the total amount due by the User.

### 7.6. Withdrawal period 

In accordance with Article L. 121-20 of the Consumer Code, *\"the consumer has a period of fourteen clear days to exercise his right of withdrawal without having to justify his reasons or pay penalties, except, where appropriate, for the cost of return\"*.
\"*The period mentioned in the previous paragraph runs from the date of receipt for goods or acceptance of the offer for services.*
The right of withdrawal can be exercised by [contacting the Company](/en/contact).
In case of exercise of the right of withdrawal within the above-mentioned period, the Publisher reserves the right to suspend the User\'s Account in case of exceeding the use quotas of the free offer.

### 8. Data 

The User expressly acknowledges and agrees:

1. that the data collected on the site and on the Publisher\'s computer equipment are proof of the reality of the operations carried out under this agreement;
1. that such data shall constitute the only admissible form of evidence between the parties, in particular for the calculation of sums due to the Publisher.

The User can access this data in his Personal Area.

### 9. Obligations of the User 

Without prejudice to the other obligations set forth herein, the User agrees to comply with the following obligations:

1. The User undertakes, in his use of the Services, to respect the laws and regulations in force and not to infringe the rights of third parties or public order.
In particular, the User is solely responsible for the proper completion of all administrative, tax and/or social security formalities and for all payments of contributions, taxes or duties of any kind that may be due in connection with the use of the Services.
The Publisher shall not be held liable in any way in this respect.

1. The User acknowledges that he/she has read the characteristics and constraints of all the Services, particularly the technical ones, on the website.
He is solely responsible for his use of the Services.

1. The User is informed and accepts that the implementation of the Services requires that he be connected to the Internet and that the quality of the Services depends directly on this connection, for which he is solely responsible.

1. The User is also solely responsible for the relationships he or she may form with other Users and the information he or she communicates to them in the context of the Services.
It is the User\'s responsibility to exercise due care and discretion in these relationships and communications.
The User also agrees, in his exchanges with other Users, to respect the usual rules of politeness and courtesy.

1. The User agrees to make strictly personal use of the Services.
Consequently, he/she shall not assign, concede or transfer all or part of his/her rights or obligations hereunder to a third party, in any manner whatsoever.

1. User agrees to provide the Publisher with all information necessary for the proper performance of the Services.
More generally, User agrees to cooperate actively with the Publisher in the performance of this Agreement.

1. The User is solely responsible for the content of any kind (editorial, graphic, audiovisual or other, including the name and/or image chosen by the User to identify him/her on the site) that he/she disseminates within the framework of the Services (hereinafter referred to as \"Content\").

    The User warrants to the Publisher that it has all necessary rights and permissions to distribute such Content.

    The User agrees that such Content is lawful, does not violate public policy, public decency or the rights of third parties, does not violate any law or regulation and, more generally, is not likely to give rise to any civil or criminal liability on the part of the Publisher.

    The User is thus prohibited from distributing, in particular and without this list being exhaustive :

    - pornographic, obscene, indecent, shocking or unsuitable for a family audience, defamatory, insulting, violent, racist or xenophobic Content,
    - infringing Content,
    - Content that is detrimental to the image of a third party,
    - Content that is false, misleading or that proposes or promotes illegal, fraudulent or deceptive activities,
    - Content that is harmful to the computer systems of third parties (such as viruses, worms, Trojan horses, etc.),
    - and more generally Content that may infringe the rights of third parties or be prejudicial to third parties, in any way and in any form whatsoever.

1. The User acknowledges that the Services offer an additional but not alternative solution to the means he/she already uses to achieve the same objective and that this solution is not a substitute for these other means.

1. The User must take the necessary measures to save by his own means the information of his Personal Space that he considers necessary, of which no copy will be provided to him.

## 10. User's warranty 

User shall indemnify the Publisher against any and all claims, complaints, actions and/or demands which the Publisher may suffer as a result of User\'s breach of any of its obligations or warranties under these Terms and Conditions.

The User agrees to indemnify the Publisher for any damages it may suffer and to pay all costs, charges and/or judgments it may incur as a result.

## 11. Prohibited behaviors

It is strictly prohibited to use the Services for the following purposes:

1. engaging in illegal, fraudulent or infringing activities against the rights or safety of third parties,
1. undermining of public order or violation of laws and regulations in force,
1. intrusion into a third party's computer system or any activity of a nature to harm, control, interfere with, or intercept all or part of a third party's computer system, violate its integrity or security,
1. sending unsolicited emails and/or commercial solicitations,
1. manipulations intended to improve the referencing of a third party site,
1. aiding or abetting, in any form or manner, one or more of the acts and activities described above,
1. and more generally any practice diverting the Services to purposes other than those for which they were designed.
1. The following are also strictly prohibited: (i) any conduct that interrupts, suspends, slows down or prevents the continuity of the Services, (ii) any intrusions or attempted intrusions into the Publisher's systems, (iii) any misappropriation of the site's system resources, (iv) any actions that impose a disproportionate burden on the Publisher's infrastructure, (v) any breach of security and authentication measures, (vi) any acts which may prejudice the financial, commercial or moral rights and interests of the Publisher or users of the Site, and more generally (vii) any breach of these Terms and Conditions.

1. It is strictly forbidden to monetize, sell or license all or part of the access to the Services or the site, as well as the information hosted and/or shared therein.

## 12. Penalties for non-compliance

In the event of a breach of any of the provisions of these terms and conditions or, more generally, a breach of applicable laws and regulations by a User, the Publisher reserves the right to take any appropriate action and in particular to:

1. suspend or terminate the access to the Services of the User, author of the breach or infringement, or having participated in it,
1. delete any content posted on the website,
1. publish on the site any information message that the Publisher deems useful,
1. notify any relevant authority,
1. initiate any legal action.

## 13. Liability and Warranty of the Publisher

1. The Publisher undertakes to provide the Services diligently and in accordance with the rules of the trade, it being specified that it has an obligation of means, to the exclusion of any obligation of result, which the Users expressly acknowledge and accept.

1. The Publisher has no knowledge of the Content uploaded by Users as part of the Services, and does not moderate, screen, verify or monitor such Content in any way, and acts only as a hosting provider.

    Accordingly, the Publisher shall not be liable for any Content authored by third parties and any claims should be directed primarily to the author of the Content in question.

    Content that is harmful to a third party may be notified to the Publisher in the manner provided for in Article 6 I 5 of Law No. 2004-575 of June 21, 2004 for confidence in the digital economy ("pour la confiance dans l'éconimie numérique"), with the Publisher reserving the right to take the measures described in Article 12.

1. The Publisher shall not be liable for any loss of information accessible in the User's Personal Space, and the User shall save a copy of such information and shall not be entitled to any compensation for such loss.

1. The Publisher undertakes to carry out regular checks to verify the operation and accessibility of the site.
In this respect, the Publisher reserves the right to temporarily interrupt access to the site for maintenance purposes.
Likewise, the Publisher shall not be held responsible for any difficulties or temporary impossibility of accessing the site due to circumstances beyond its control, force majeure, or due to disruptions in the telecommunications networks.

1. The Publisher does not warrant to Users that (i) the Services, being subject to constant research to improve performance and progress, will be completely free of errors, defects or deficiencies, (ii) the Services, being standard and not offered solely for the use of a particular User based on his or her own personal constraints, will specifically meet his or her needs and expectations.

1. In any event, the liability that may be incurred by the Publisher hereunder is expressly limited to proven direct damages suffered by the User.

## 14. Intellectual Property

The systems, software, structures, infrastructures, databases and content of any kind (text, images, visuals, music, logos, trademarks, databases, etc.) used by the Publisher within the site are protected by all intellectual property rights or database producers' rights in force.
Any disassembly, decompilation, decryption, extraction, reuse, copying and, more generally, any act of reproduction, representation, distribution and use of any of these elements, in whole or in part, without the Publisher's authorization, is strictly prohibited and may be subject to legal action as provided for in the Intellectual Property Code and the Civil Code.

## 15. Personal data

The Publisher has a [policy of protecting personal data](/en/privacy).

## 16. Advertising 

The Publisher reserves the right to insert on any page of the Site and in any communication to Users any advertising or promotional messages in a form and under conditions to be determined by the Publisher.

## 17. Links and third party sites

The Publisher shall not be held responsible for the technical availability of websites or mobile applications operated by third parties (including any of its partners) which the User may access through the Site.

The Publisher assumes no responsibility for the content, advertising,products and/or services available on such third-party websites and mobile applications, which are governed by their own terms of use.

The Publisher is not responsible for any transactions between the User and any advertiser, professional or merchant (including any of its partners) to whom the User may be directed through the Site and shall not be a party to any disputes with such third parties regarding the delivery of products and/or services, warranties, representations or other obligations of such third parties.

## 18. Duration of Services, Unsubscription

The Services are subscribed for an indefinite period.

The User may unsubscribe from the Services at any time by sending a request to that effect to the Publisher by email, using the contact details mentioned in Article 2 or in his Personal Area.

Unsubscription is effective immediately.

## 19. Modifications

The Publisher reserves the right to change these terms and conditions at any time.

The User will be informed of these modifications by any useful means.

The User who does not accept the modified terms and conditions must unsubscribe from the Services in accordance with the terms and conditions set forth in Article 18.

Any User who uses the Services after the entry into force of the modified terms and conditions is deemed to have accepted these modifications.

## 20. Language

In the event of a translation of these terms and conditions into one or more languages, the language of interpretation shall be French in the event of a contradiction or dispute as to the meaning of a term or provision.

## 21. Applicable law and jurisdiction

The present general conditions are governed by French law.

In the event of a dispute concerning the validity, interpretation and/or execution of these terms and conditions, the parties agree that the courts of Paris shall have exclusive jurisdiction to rule on the matter, except in the case of mandatory procedural rules to the contrary.

## 22. Entry into effect

These terms and conditions came into effect on 19/04/2021.
