
Cette politique de confidentialité explique comment notre service utilise les données personnelles que nous recueillons auprès de vous lorsque vous utilisez notre site web.

## Quelles sont les données que nous collectons ?

Readflow collecte les données suivantes :

- Les informations d'identification personnelle (adresse électronique, prénom et nom de famille) utilisées pour accorder l'accès au service.
- Les informations techniques (IP, navigateur et système d'exploitation) utilisées pour l'analyse de l'utilisation et le suivi des erreurs.


[Stripe](https://stripe.com), le prestataire de paiement, recueille également des informations de facturation (adresse électronique, prénom, nom, adresse de facturation) dans le cadre de votre abonnement.

## Comment recueillons-nous vos données ?

Vous fournissez directement à Readflow des informations d'identification lorsque vous vous inscrivez en ligne.
Vous fournissez directement à Stripe des informations de facturation lorsque vous vous abonnez au service.

Les informations techniques sont collectées en utilisant les trackers suivants :

- [ZerØ Analytics](https://github.com/ncarlier/za) pour l'analyse d'usage
- [Sentry](https://sentry.io) pour le suivi des erreurs

## Comment allons-nous utiliser vos données ?

Readflow collecte vos données afin de pouvoir :

- gérer votre compte
- traiter votre abonnement

## Comment conservons-nous vos données ?

Readflow conservera vos informations d'identification aussi longtemps que vous utiliserez le service.
Une fois que vous aurez supprimé votre compte, nous supprimerons vos données.

Les informations de facturation sont conservées 10 ans pour des raisons légales.

## Quels sont vos droits en matière de protection des données ?

Le service est soumis au Règlement Général sur la Protection des Données (RGPD).
A ce titre, l'utilisateur dispose d'un droit d'opposition, d'accès et de rectification des données le concernant.
L'utilisateur peut appliquer ce droit directement à travers l'interface du service ou, si cela n'est pas possible, en faisant une demande auprès du [support](/fr/contact).

En cas de non-respect de ces droits, l'utilisateur peut déposer une plainte auprès de la [CNIL] (https://www.cnil.fr/professionnel).

## Les cookies

Les cookies sont des fichiers texte placés sur votre ordinateur pour recueillir des informations standard sur les journaux Internet et le comportement des visiteurs.
Lorsque vous visitez nos sites web, nous pouvons recueillir automatiquement des informations vous concernant par le biais de cookies ou de technologies similaires.

Pour plus d'informations, consultez le site [allaboutcookies.org] (https://allaboutcookies.org).

### How do we use cookies?

readflow uses cookies in a range of ways to improve your experience on our website, including:

- Keeping you signed in
- Understanding how you use our website

### Comment utilisons-nous les cookies ?

Il existe plusieurs types de cookies. Notre site web utilise :

- KEYCLOAK_IDENTITY, KEYCLOAK_SESSION, AUTH_SESSION – Ces cookies sont utilisés par notre service de connexion afin de maintenir la connexion de l'utilisateur.

### Comment gérer vos cookies

Vous pouvez configurer votre navigateur pour qu'il n'accepte pas les cookies. Cependant, si vous le faites, vous ne pourrez pas vous connecter.

## Politiques de confidentialité d'autres sites web

Readflow contient des liens vers d'autres sites Web.
Notre politique de confidentialité ne s'applique qu'à notre site web.
Par conséquent, si vous cliquez sur un lien vers un autre site web, vous devez lire sa politique de confidentialité.

## Modifications de notre politique de confidentialité

Readflow révise régulièrement sa politique de confidentialité et publie toute mise à jour sur cette page Web.
Cette politique de confidentialité a été mise à jour le 14 avril 2021.

## Comment nous contacter

Si vous avez des questions sur la politique de confidentialité de Readflow, sur les données que nous détenons sur vous, ou si vous souhaitez exercer l'un de vos droits en matière de protection des données, n'hésitez pas à [nous contacter](/fr/contact).
